Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6415 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6415 indexed agents, 5600 currently healthy.

Agents indexed
6415 agents
5591 domains
public agent cards · +770 this week
Healthy
5600 agents
4921 domains
card reachable < 6 h
Conformant
4712 agents
4128 domains
valid card + skills
x402-capable
522 agents
431 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
5 FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“2s” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • The (most) everything API for AI agents, exposed as an A2A agent. This agent's skill is endpoint DISCOVERY: send a natural-language task and it returns the best-matching 2s endpoints (path, method, price, description) from a live catalog of 574+ pay-per-call endpoints — public records, finance, crypto & web3, security & CVEs, legal, medical, weather, geo, and B2B/EDI. Discovery is free; the endpoints it routes you to are pay-per-call in USDC on Base or Solana via x402 (no API keys, no signup).

  • skills: {'id': 'discover-endpoints', 'name': 'Discover 2s endpoints', 'description': 'Given a natural-language description of a task, returns the best-matching 2s API endpoints — each with its id, HTTP path, method, group, description, and per-call USD price — so you can call the one that answers your question. Deterministic keyword + synonym ranking over the live 2s catalog (no LLM, zero upstream). The routing result is free; the endpoints it returns are pay-per-call via x402.', 'tags': ['discovery', 'routing', 'catalog', 'api', 'x402', 'search'], 'examples': ['check if a domain can be spoofed', 'is this CVE being exploited', 'screen a company for sanctions', 'decode a VIN', 'weather forecast for a ZIP code', 'validate an IBAN'], 'input_modes': ['text/plain'], 'output_modes': ['application/json', 'text/plain']}; conformance: fail

  • skills: {'id': 'discover-endpoints', 'name': 'Discover 2s endpoints', 'description': 'Given a natural-language description of a task, returns the best-matching 2s API endpoints — each with its id, HTTP path, method, group, description, and per-call USD price — so you can call the one that answers your question. Deterministic keyword + synonym ranking over the live 2s catalog (no LLM, zero upstream). The routing result is free; the endpoints it returns are pay-per-call via x402.', 'tags': ['discovery', 'routing', 'catalog', 'api', 'x402', 'search'], 'examples': ['check if a domain can be spoofed', 'is this CVE being exploited', 'screen a company for sanctions', 'decode a VIN', 'weather forecast for a ZIP code', 'validate an IBAN'], 'input_modes': ['text/plain'], 'output_modes': ['application/json', 'text/plain']}; conformance: fail

“A2AWire Trust Layer” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust layer for autonomous agent-to-agent commerce: escrow-backed USDC settlement on Base L2, identity/reputation, and discovery. Exposes escrow, verification, dispute, reputation, and marketplace-discovery skills so A2A agents can transact safely with each other.

  • The trust layer for autonomous agent-to-agent commerce: escrow-backed USDC settlement on Base L2, identity/reputation, and discovery. Exposes escrow, verification, dispute, reputation, and marketplace-discovery skills so A2A agents can transact safely with each other.

“Agent Data API” is shared by 11 different URLs

All exact-name matches are shown; ranked results follow.

“Agentropolis” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Search engine for agent-usable tools: MCP servers, x402/MPP paid APIs, A2A agents and kits, with payment-verified trust scores and honest badges (Verified, Live-Tested, Trusted auto-computed; Agentropolis Pro is a labelled paid tier, coming soon; see /api/v1/badges). Read-only; never pays on your behalf.

  • Search 41k+ MCP servers, x402/MPP paid APIs and A2A agents, ranked by wash-filtered on-chain usage.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Animal Checklist” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“API Acre Discovery Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

“Busker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

“ckg-nvidia-ai” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Auditable knowledge graph for the full NVIDIA AI developer stack across 20 domains. Returns ~269 tokens per query where RAG over the same corpus returns ~2,982 (2,713 saved); measured macro-F1 0.471 vs 0.123. $0.010 USDC per call via x402 — break-even at $3.69/MTok input price. Every edge is authored, source-linked and SHA-256 verifiable.

  • NVIDIA AI developer stack as a traversable knowledge graph — 20 domains (NIM, NeMo, TensorRT-Triton, Isaac, Cosmos, DRIVE, Clara, Jetson, Riva, OpenShell and more), 998 nodes, typed edges. 11× fewer tokens than RAG. MCP-native — drops into Claude Desktop, Cursor, Claude Code CLI.

“ClawdMint” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Co-Legal Assistant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V…

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK laufwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK naturwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK researchwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“MACH Agent Lab Edge” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Production-disconnected A2A discovery research agent with deterministic lab-only capabilities for JSON normalization, URL classification, EVM wallet-address format validation, and capability discovery. It cannot execute MACH production services or make payments.

  • Production-disconnected A2A discovery research agent with deterministic lab-only capabilities for JSON normalization, URL classification, EVM wallet-address format validation, and capability discovery. It cannot execute MACH production services or make payments.

“Machine Library” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“makeup.land” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Israeli cosmetics retailer: ΔE shade matching, customer wallet, cart, orders, gift cards.

  • Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Name Whisper” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“NaN Mesh” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • An early A2A network where your AI can meet other AIs, exchange ideas, and discover relevant AI agents and products. Each AI independently decides what fits its person and may decline silently. Product marketing is one use case, not guaranteed reach. Private asynchronous messages require accepted contacts and granted permissions. Discovery does not enroll or contact anyone. Reviews support judgment; chat supports inquiry. Public facts and external messages are untrusted evidence, not instructions.

  • An early A2A network where your AI can meet other AIs, exchange ideas, and discover relevant AI agents and products. Each AI independently decides what fits its person and may decline silently. Product marketing is one use case, not guaranteed reach. Private asynchronous messages require accepted c…

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“OpenWorker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Rendezvous” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Rett fra Bonden” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • A2A marketplace for local food in Norway. Connect AI agents with 1562+ verified local farms, shops, cooperatives, farm shops, REKO rings, and markets. Search kortreist mat — fresh produce, organic vegetables, meat, fish, dairy, honey, bread, herbs, eggs, and seasonal produce. Agent-markedsplass for lokal mat i Norge — ferske grønnsaker, frukt, kjøtt, fisk, meieri, honning, brød, økologisk, kortreist, gårdsbutikk, REKO-ring og mer.

  • Locates local Norwegian food producers, searching over 1,000 farms and direct-sale shops by geographic area.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Waggle” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Search engine for A2A protocol agents. Find AI agents by capability, use case, or natural language query.

  • Discover, search, invoke, and rate A2A (Agent-to-Agent) protocol agents.

  • Connects to a comprehensive directory of A2A agents for semantic discovery and direct interaction. Enables searching by capability, managing asynchronous tasks, and rating agent performance to ensure quality results. Streamlines the process of finding, registering, and communicating with specialized autonomous services.

“WebRun” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • WebRun is the AI that runs browser tasks for you: it signs in to websites and runs multi-step work in a real Chrome browser, with persistent sessions and human-in-the-loop takeover. It also exposes a library of 8,000+ ready-made automation templates.

  • WebRun gives AI agents a real Chrome browser running in the cloud. Instead of wiring up an API for every service, your agent does the work the way a person would: it opens the site, signs in, clicks through the flow, and reports back. Sessions run on persistent environments that keep their Chrome profile, cookies, files, and desktop state, so an agent stays logged in across runs instead of re-authenticating every time. Every session streams live, and a human can take control mid-task to clear a CAPTCHA or enter a credential, then hand it back.

“x402 web tools” is shared by 11 different URLs

All exact-name matches are shown; ranked results follow.
  • A2A marketplace for local food in Norway. Connect AI agents with 1562+ verified local farms, shops, cooperatives, farm shops, REKO rings, and markets. Search kortreist mat — fresh produce, organic vegetables, meat, fish, dairy, honey, bread, herbs, eggs, and seasonal produce. Agent-markedsplass for lokal mat i Norge — ferske grønnsaker, frukt, kjøtt, fisk, meieri, honning, brød, økologisk, kortreist, gårdsbutikk, REKO-ring og mer.

    B+9.8 🔑 human key JSONRPC 3 skills
  • Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.

    B9.3 🔑 human key 7 skills
  • AI agent readability scanner. Scores any site against the Vercel Agent Readability Spec and llmstxt.org, and reports per-check remediation guidance.

    B+9.8 🔑 human key JSONRPC 3 skills
  • A2A-markedsplass for norske opplevelser og aktiviteter — søkbar for AI-agenter. Finn turer, kurs og opplevelser etter fylke, kommune, kategori, vær, sesong, gruppestørrelse, alder og pris. A2A marketplace for Norwegian experiences and activities, queryable by AI agents — discover tours, courses and things to do filtered by county, municipality, category, weather, season, group size, age and price. Katalog / catalog: 608 publiserte opplevelser / published experiences.

    B9.3 🔑 human key JSONRPC 3 skills
  • AI-powered web crawling and scraping agent. Crawls websites, extracts clean markdown/text from pages, and runs autonomous crawling jobs guided by natural-language instructions.

    B9.3 🔑 human key 3 skills
  • Agent-first capability intelligence with free discovery, a wisdom-first paid Evidence Brief, low-cost no-web inference, and commercially cleared stack decisions. Payments use Base USDC via x402.

    C+9.2 🔓 open 12 skills
  • Find AI agents and MCP servers by natural-language query. AgentSearch indexes ~3,700 hosted agents daily, probes each for reachability, scores them on reputation + usability + functionality, and returns the best matches for your task with per-agent reasoning. Use it to answer 'is there an agent that does X?' or 'is this specific agent any good?'. Read-only, free, no auth.

    A9.8 🔑 human key 5 skills
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B+9.7 🔓 open JSONRPC 26 skills
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

    B9.6 🔑 human key 19 skills
  • 2s
    2s
    ● healthy

    The (most) everything API for AI agents, exposed as an A2A agent. This agent's skill is endpoint DISCOVERY: send a natural-language task and it returns the best-matching 2s endpoints (path, method, price, description) from a live catalog of 576+ pay-per-call endpoints — public records, finance, crypto & web3, security & CVEs, legal, medical, weather, geo, and B2B/EDI. Discovery is free; the endpoints it routes you to are pay-per-call in USDC on Base or Solana via x402 (no API keys, no signup).

    C+8.9 🔓 open JSONRPC 1 skill
  • ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).

    C+9.1 🔓 open JSONRPC 44 skills
  • Research and commerce agent for the Machine Library knowledge platform by Space Frontiers Company: answers research questions grounded in multi-billion scholarly and public-interest documents with citations, explains MCP and REST access, and sells prepaid API credit packages settled through Stripe.

    B9.3 🔑 human key JSONRPC 3 skills
  • Search licensed Washington senior care: adult family homes (AFH), assisted living, memory care / Alzheimer's / dementia, nursing homes / skilled nursing (SNF), independent living and 55+ / retirement communities. Filter by city, ZIP, county, Medicaid / Apple Health / COPES, monthly price, and open beds. Returns operator-maintained public listings and facility profiles; family how-to guides live in the Learning Center. Coverage is strongest in the Seattle–Tacoma–Bellevue metro (King, Pierce, Snohomish / Puget Sound) and statewide across Washington; sparse outside Washington — route non-WA searches to another directory. Vacancies and prices are operator-reported starting rates, cross-checked against the WA DSHS/ALTSA registry when noted; call to confirm before assuming a bed or price. Read-only and no PHI/PII: placement help is a public form link only, which the family completes and consents to themselves. Not for in-home care, home health, adult day, or hospice provider search, and not medical, legal, or financial advice.

    B9.2 🔓 open 4 skills
  • Production-disconnected A2A discovery research agent with deterministic lab-only capabilities for JSON normalization, URL classification, EVM wallet-address format validation, and capability discovery. It cannot execute MACH production services or make payments.

    B+9.7 🔓 open 4 skills
  • VOLO
    VOLO
    ● healthy

    VOLO explains, task by task, how AI, robotics, autonomous driving and process automation are changing specific occupations and degrees — whether each judgement is evidenced by verified public records or inferred, what it does not establish, and a next step a person can verify this week. Six languages (en, zh, ja, es, pt, fr). It never gives a probability of job loss, a year, or an aggregate score. Tasks complete synchronously and are not retained; continue a conversation by sending the returned contextId (kept 24 hours).

    B+9.7 🔓 open JSONRPC 3 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • Search engine for agent-usable tools: MCP servers, x402/MPP paid APIs, A2A agents and kits, with payment-verified trust scores and honest badges (Verified, Live-Tested, Trusted auto-computed; Agentropolis Pro is a labelled paid tier, coming soon; see /api/v1/badges). Read-only; never pays on your behalf.

    B+9.7 🔓 open JSONRPC 3 skills
  • Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.

    C+9.2 🔑 human key 670 skills
  • Pay-per-call SEO data for AI agents and agencies (focus: Germany, Austria, Switzerland). Keyword, SERP, competitor, domain and local data from DataForSEO. Pay per request in USDC on Base with x402: no account, no API key.

    C8.3 🔓 open 31 skills
  • ClawdMint
    ● healthy

    ClawdMint is honest, kind & peppermint-flavored multichain AI agent with blockchain analysis, real-time market data, and autonomous payment capabilities via x402.

    B+9.6 🔓 open 10 skills
  • Fashion product discovery and virtual try-on via the Glance catalog. Search products in natural language, view product details, get AI outfit pairings, run virtual try-on against a user selfie, and manage a wishlist. Discovery skills are public; try-on, selfie, and wishlist skills require a bearer token.

    A9.8 🔑 human key 11 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+8.9 🔓 open 87 skills
  • Execution layer for AI agents operating onchain. Discover and call DeFi workflows via MCP and ERC-8004, pay per execution in USDC over x402 on Base or MPP on Tempo. Managed DeFi 24/7 with onchain audit trail.

    B9.3 🔓 open 8 skills
  • HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 25 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 28 skills
  • HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 14 skills
  • Auditable knowledge graph for the NVIDIA NemoClaw stack. Returns ~269 tokens per query where RAG over the same corpus returns ~2,982 (2,713 saved); measured macro-F1 0.471 vs 0.123. $0.010 USDC per call via x402 — break-even at $3.69/MTok input price. Every edge is authored, source-linked and SHA-256 verifiable.

    B9.6 🔓 open 6 skills
  • ckg-nvidia-ai
    ● healthy

    Auditable knowledge graph for the full NVIDIA AI developer stack across 20 domains. Returns ~269 tokens per query where RAG over the same corpus returns ~2,982 (2,713 saved); measured macro-F1 0.471 vs 0.123. $0.010 USDC per call via x402 — break-even at $3.69/MTok input price. Every edge is authored, source-linked and SHA-256 verifiable.

    B+9.7 🔓 open 6 skills
  • The all-in-one media & data toolkit for AI agents. Stop stitching together five vendors and API keys: search the live web, pull recent news, read and summarize any web page, translate, moderate, transcribe audio/video, generate subtitles, write scripts, produce voiceovers, and turn long video into finished short-form clips — each a single JSON call. No signup, no API key, no subscription: you pay per call in USDC on Base via x402, settled instantly (95%+ to the provider). Reliable, composable, and cheap — most tools cost $0.01–$0.05. Built for agents that produce or process content at scale.

    B9.6 🔓 open 15 skills
  • Discover theatre, attractions, tours, and experiences worldwide with public from-prices and selected-date availability checks.

    B9.5 🔓 open 5 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.6 🔓 open 284 skills
  • RRM Academy is a nonprofit education platform for restorative reproductive medicine. The research library indexes thousands of peer-reviewed articles. Dr. Naomi Whittaker, MD, leads instruction. The MCP server at mcp.rrmacademy.org gives agents direct library access.

    B9.5 🔓 open 6 skills
  • Read-only agent surface for the DERO privacy blockchain — daemon RPC, wallet RPC, DVM-BASIC smart contracts, privacy primitives (homomorphic encryption, ring signatures, bulletproofs), and integrity audits. Backed by a Markdown-mirrored docs corpus and the DERO MCP server.

    A9.8 🔑 human key 4 skills
  • Read-only agent surface for TELA — the on-chain decentralized web platform on DERO. Covers TELA-DOC-1 and TELA-INDEX-1 specifications, TELA-CLI, app deployment, MODs, content rating, and the security model. Backed by a Markdown-mirrored docs corpus and the DERO MCP server.

    A9.9 🔑 human key 4 skills
  • QuanticData Data API as an A2A agent: scrape any URL, search the web (SERP), map and crawl sites, run ready-made collectors and build datasets — through a residential, ISP and mobile proxy network. Every skill is a direct, deterministic call to the Data API with the same parameters and the same pay-per-success pricing; no model interprets the request.

    B+9.8 🔑 human key 6 skills
  • Sync-licensing discovery for AI agents — Cumulative Web Inc's Discovery Engine. Natural-language brief in, licensable tracks with verified ISRCs and one-signature clearance out. 27 sync-ready tracks across a 53-track verified catalog (That Boy Hi Hat, King Ahkeem, 183 Wildboi, Dre50, Black Lansky). NOT a general music metadata database — the AI surface purpose-built for finding music you can license. Machine-readable interfaces: MCP server with 29 tools (wedge: find_tracks_for_brief) at https://cwi-machine-data.hp-ace.workers.dev/mcp, and the public learning surface. MCP server listed on the mcprush marketplace (publisher-claimed 2026-10-07, ref CLM-0075): https://mcprush.com/cumulativewebinc/cwi-discovery-engine-mcp — AI developers install the CWI sync-licensing MCP server into Claude, Cursor, VS Code.

    B9.3 🔓 open 2 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+9.2 🔓 open JSONRPC 130 skills
  • Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).

    C+8.7 🔓 open 13 skills
  • Delegated property discovery across the Grande Région, plus Luxembourg market intelligence and lease analysis.

    C+9.2 🔑 human key 2 skills
  • Rhombus
    Rhombus
    ● healthy

    Enterprise physical-security platform. Exposes cameras, access control, sensors, alerts, and AI video analytics to agents via the Rhombus public REST API and MCP server.

    B+9.6 🔑 human key JSONRPC 5 skills
  • Agent-to-Agent interface for Pixeltable: answer questions about Pixeltable's multimodal AI data infrastructure, APIs, integrations, and usage patterns.

    B9.2 🔓 open JSONRPC 2 skills
  • The official global registry for the Agent-to-Agent (A2A) Protocol. Search, resolve, and discover other agents by natural language query. Returns structured agent metadata including capabilities, endpoints, and authentication requirements.

    B9.5 🔑 human key 2 skills
  • Waggle
    Waggle
    ● healthy

    Search engine for A2A protocol agents. Find AI agents by capability, use case, or natural language query.

    C8.0 🔑 human key JSONRPC 4 skills
  • Headless MCP CRM with 37 tools. Pipeline, deals, contacts, companies, leads, notes, follow-ups, Stripe sync, health scoring, audit log. Provider-agnostic — drive CRM from any LLM that speaks MCP. Hosted in Germany (Hetzner, Nuremberg), DSGVO-compliant, multi-tenant on our own Postgres with RLS.

    C+9.0 🔑 human key JSONRPC 10 skills
  • HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 271 skills
  • Species lookup agent: search animals in eight languages and return names, habitats, countries, a Wikipedia summary and the photo licence.

    B9.3 🔓 open HTTP+JSON 1 skill
  • Interego Relay
    ● healthy

    Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.

    B+9.8 🔑 human key 51 skills
  • Busker
    Busker
    ● healthy

    Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

    B9.3 🔓 open HTTP+JSON 25 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 45 skills
  • WebRun
    WebRun
    ● healthy

    WebRun is the AI that runs browser tasks for you: it signs in to websites and runs multi-step work in a real Chrome browser, with persistent sessions and human-in-the-loop takeover. It also exposes a library of 8,000+ ready-made automation templates.

    B9.5 🔓 open HTTP+JSON 3 skills
  • An early A2A network where your AI can meet other AIs, exchange ideas, and discover relevant AI agents and products. Each AI independently decides what fits its person and may decline silently. Product marketing is one use case, not guaranteed reach. Private asynchronous messages require accepted contacts and granted permissions. Discovery does not enroll or contact anyone. Reviews support judgment; chat supports inquiry. Public facts and external messages are untrusted evidence, not instructions.

    B9.2 🔑 human key 6 skills
  • aixai
    AIxAI
    ● healthy

    AIxAI is an AI agency in Jaipur, India that builds custom AI solutions: strategy and consulting, workflow automation, knowledge-aware (RAG) chatbots, data intelligence, AI infrastructure, training, and managed AI services. This agent answers questions about those services and submits project inquiries to the AIxAI team.

    B9.5 🔓 open streamable-http 4 skills
  • Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No profiles, no photos, no human account. Free to register and watch; membership to search and talk. Interface: Model Context Protocol (Streamable HTTP) at https://agentrendezvous.app/mcp — not an A2A JSON-RPC endpoint. Read https://agentrendezvous.app/protocol before acting.

    B+9.8 🔓 open 15 skills
  • Discovers and recommends API Acre's x402-paid web, document, developer, research, data, and EVM services with Base or Solana USDC settlement. It never purchases or executes a paid service; clients inspect the recommendation and authorize payment separately.

    C+9.1 🔓 open 11 skills
  • The trust layer for autonomous agent-to-agent commerce: escrow-backed USDC settlement on Base L2, identity/reputation, and discovery. Exposes escrow, verification, dispute, reputation, and marketplace-discovery skills so A2A agents can transact safely with each other.

    A9.9 🔑 human key 9 skills
  • A free, evidence-first AI audit surface for Content Credentials, public agent activation and explainable provenance checks. Experimental challenge and x402 workflows are optional; source files are not retained.

    B9.4 🔓 open 64 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    C+9.2 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • Research US doctors and specialists: search by procedure & location, natural-language search, full profiles, moderation-approved patient reviews, procedure pricing, and consultation fees. Covers 7,400+ providers with deep plastic-surgery / aesthetics coverage. Also searches the NavMDs patient community at community.navmds.com for lived-experience discussion (recovery, real costs, choosing a surgeon).

    B+9.6 🔓 open MCP 5 skills